Get internal transactions by contract address

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Returns

FieldTypeDescription
data[i].internal_tx_idStringThe unique identifier (ID) for the internal transaction.
data[i].data.noteStringThe type of instruction, such as call, create, suicide, freezeBalanceV2ForEnergy, freezeBalanceV2ForBandwidth, or unfreezeBalanceV2ForBandwidth.
data[i].data.rejectedBooleanWhether the internal transaction failed during execution. true means the execution failed.
data[i].block_timestampLongThe Unix timestamp for when the transaction was confirmed. (Unit: millisecond)
data[i].to_addressStringThe recipient's address.
data[i].tx_idStringThe unique identifier (ID) of the parent transaction that initiated this internal transaction.
data[i].from_addresstringThe sender's address.
successBooleanWhether the request was successful.
meta.atLongThe timestamp for when the API response was generated. (Unit: millisecond)
meta.page_sizeIntegerThe number of items returned on the current page.
meta.fingerprintStringA fingerprint of the last transaction on this page, used to fetch the next page of results.
meta.links.nextStringThe complete URL to request the next page of results. null if this is the last page.
Path Params
string
required

The address of contract (format: Base58 or Hex). Example: TG3XXyExBkPp9nzdajDZsozEu4BkaSJozs

Query Params
boolean

Set to true to return only confirmed [items]; set to false to return both confirmed and unconfirmed [items]. Cannot be used simultaneously with only_unconfirmed. (Default: false)

boolean

Set to true to return only unconfirmed [items]; set to false to return both confirmed and unconfirmed [items]. Cannot be used simultaneously with only_confirmed. (Default: false)

int32

The maximum number of transactions to return per page. (Default: 20,Max: 200)

string

The fingerprint for pagination, obtained from the meta.fingerprint field of a previous response. Note: When using fingerprint, all other parameters must remain the same.

date

The minimum block timestamp to filter by. (Unit: milliseconds, Default: 0)

date

The maximum block timestamp to filter by. (Unit: milliseconds, Default: current time)

string

Specifies the sort order. block_timestamp,asc | block_timestamp,desc (default).

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json